Bug 69752 - [CSSRegions]Change syntax to be closer to the latest spec
Summary: [CSSRegions]Change syntax to be closer to the latest spec
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mihnea Ovidenie
URL:
Keywords:
Depends on: 69848 70014 70104
Blocks: 57312
  Show dependency treegraph
 
Reported: 2011-10-10 03:56 PDT by Mihnea Ovidenie
Modified: 2011-10-24 09:31 PDT (History)
0 users

See Also:


Attachments
Patch (164.63 KB, patch)
2011-10-11 04:18 PDT, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff
Patch 2 (164.60 KB, patch)
2011-10-11 05:32 PDT, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mihnea Ovidenie 2011-10-10 03:56:42 PDT
The current syntax in css regions does not reflect the latest changes in editors draft. The link to the latest editors draft is here: http://dev.w3.org/csswg/css3-regions/
Comment 1 Mihnea Ovidenie 2011-10-11 04:18:03 PDT
Created attachment 110498 [details]
Patch

The following changes are done:
1. Flow-from is now a property and not specified as an addition to content property
2. Flow-into and flow-from now take <ident> instead of strings
3. Content-order is removed
Comment 2 Mihnea Ovidenie 2011-10-11 05:32:31 PDT
Created attachment 110501 [details]
Patch 2
Comment 3 Mihnea Ovidenie 2011-10-11 06:34:11 PDT
Comment on attachment 110501 [details]
Patch 2

I will break the changes into small patches.
Comment 4 Mihnea Ovidenie 2011-10-24 09:31:53 PDT
All the other depending bugs were fixed.